﻿using NewsVariableTile.Data;

using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Item Detail Page item template is documented at http://go.microsoft.com/fwlink/?LinkId=234232

namespace NewsVariableTile
{
    /// <summary>
    /// A page that displays details for a single item within a group while allowing gestures to
    /// flip through other items belonging to the same group.
    /// </summary>
    public sealed partial class ItemDetailPage : NewsVariableTile.Common.LayoutAwarePage
    {
        public ItemDetailPage()
        {
            this.InitializeComponent();
        }

        /// <summary>
        /// Populates the page with content passed during navigation.  Any saved state is also
        /// provided when recreating a page from a prior session.
        /// </summary>
        /// <param name="navigationParameter">The parameter value passed to
        /// <see cref="Frame.Navigate(Type, Object)"/> when this page was initially requested.
        /// </param>
        /// <param name="pageState">A dictionary of state preserved by this page during an earlier
        /// session.  This will be null the first time a page is visited.</param>
        protected override void LoadState(Object navigationParameter, Dictionary<String, Object> pageState)
        {
            // TODO: Create an appropriate data model for your problem domain to replace the sample data
            // var SimilarRecipesDataGroups = SimilarRecipesDataSource.GetGroups("AllGroups");
            // pageTitle.Text = navigationParameter.ToString();
            // this.DefaultViewModel["Groups"] = SimilarRecipesDataGroups;
            // LayoutRoot.DataContext = navigationParameter;
            var item = SampleDataSource.GetItem((String)navigationParameter);
            var subGroupItem = SubGroupItemDataSource.GetItem((String)navigationParameter);
            if (item != null)
            {
                //this.DefaultViewModel["Group"] = item.Group;
                //this.DefaultViewModel["Items"] = item.Group.Items;
                pageTitle.Text = item.Group.Title;
                ImageSubTItle.Text = item.Subtitle;
                detgrid.DataContext = item;
                EnableLiveTile.CreateLiveTile.ShowliveTile(false, "News Variable Tile");
            }
            else if (subGroupItem != null)
            {
                pageTitle.Text = subGroupItem.Title;
                ImageSubTItle.Text = subGroupItem.Subtitle;
                detgrid.DataContext = subGroupItem;
                EnableLiveTile.CreateLiveTile.ShowliveTile(false, "News Variable Tile");
            }
        }

        /// <summary>
        /// Invoked when a group header is clicked.
        /// </summary>
        /// <param name="sender">The Button used as a group header for the selected group.</param>
        /// <param name="e">Event data that describes how the click was initiated.</param>
        void Header_Click(object sender, RoutedEventArgs e)
        {
            // Determine what group the Button instance represents
            //    var group = (sender as FrameworkElement).DataContext;

            // Navigate to the appropriate destination page, configuring the new page
            // by passing required information as a navigation parameter
            //    this.Frame.Navigate(typeof(ItemDetailPage), ((SubGroupDetailDataGroup)group).UniqueId);
        }

        /// <summary>
        /// Invoked when an item within a group is clicked.
        /// </summary>
        /// <param name="sender">The GridView (or ListView when the application is snapped)
        /// displaying the item clicked.</param>
        /// <param name="e">Event data that describes the item clicked.</param>
        void ItemView_ItemClick(object sender, ItemClickEventArgs e)
        {
            // Navigate to the appropriate destination page, configuring the new page
            // by passing required information as a navigation parameter
            //   var itemId = ((SubGroupDetailDataItem)e.ClickedItem).UniqueId;
            //    this.Frame.Navigate(typeof(ItemDetailPage), itemId);
        }

        private void rbtnNational_Tapped_1(object sender, TappedRoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(SubGroupedItemsPage), (sender as RadioButton).Tag);
        }

        private void rbtnWorld_Tapped_1(object sender, TappedRoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(SubGroupedItemsPage), (sender as RadioButton).Tag);
        }

        private void rbtnSports_Tapped_1(object sender, TappedRoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(SubGroupedItemsPage), (sender as RadioButton).Tag);
        }

        private void rbtnBusiness_Tapped_1(object sender, TappedRoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(SubGroupedItemsPage), (sender as RadioButton).Tag);
        }

        private void rbtnEntertainment_Tapped_1(object sender, TappedRoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(SubGroupedItemsPage), (sender as RadioButton).Tag);
        }

        private void rbtnExclusives_Tapped_1(object sender, TappedRoutedEventArgs e)
        {
            this.Frame.Navigate(typeof(SubGroupedItemsPage), (sender as RadioButton).Tag);
        }
    }
}
